<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="stepOwner">
            <h2><span>Step Owner</span> {{ stepOwner.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Staff Id</span></dt>
                <dd>
                    <span>{{ stepOwner.staffId }}</span>
                </dd>
                <dt><span>Given Name</span></dt>
                <dd>
                    <span>{{ stepOwner.givenName }}</span>
                </dd>
                <dt><span>Middle Name</span></dt>
                <dd>
                    <span>{{ stepOwner.middleName }}</span>
                </dd>
                <dt><span>Sur Name</span></dt>
                <dd>
                    <span>{{ stepOwner.surName }}</span>
                </dd>
                <dt><span>Email</span></dt>
                <dd>
                    <span>{{ stepOwner.email }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/step-owner', stepOwner.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
